public static interface OptaPlannerEndpointBuilderFactory.OptaPlannerBuilders
| Modifier and Type | Method and Description |
|---|---|
default OptaPlannerEndpointBuilderFactory.OptaPlannerEndpointBuilder |
optaplanner(String path)
OptaPlanner (camel-optaplanner)
Solve planning problems with OptaPlanner.
|
default OptaPlannerEndpointBuilderFactory.OptaPlannerEndpointBuilder |
optaplanner(String componentName,
String path)
OptaPlanner (camel-optaplanner)
Solve planning problems with OptaPlanner.
|
default OptaPlannerEndpointBuilderFactory.OptaPlannerEndpointBuilder optaplanner(String path)
optaplanner:configFile
Path parameter: configFile (required)
Specifies the location to the solver file. If useSolverManager=FALSE,
Camel uses this file and create the Solver. If useSolverManager=TRUE
and SolverManager is set in the header
{OptaPlannerConstants.SOLVER_MANAGER} : this file is ignored by Camel
usage of SolverManager. SolverManager can be injected by DI in
Quarkus or Spring.path - configFiledefault OptaPlannerEndpointBuilderFactory.OptaPlannerEndpointBuilder optaplanner(String componentName, String path)
optaplanner:configFile
Path parameter: configFile (required)
Specifies the location to the solver file. If useSolverManager=FALSE,
Camel uses this file and create the Solver. If useSolverManager=TRUE
and SolverManager is set in the header
{OptaPlannerConstants.SOLVER_MANAGER} : this file is ignored by Camel
usage of SolverManager. SolverManager can be injected by DI in
Quarkus or Spring.componentName - to use a custom component name for the endpoint
instead of the default namepath - configFileApache Camel